Skip to content
Hockay API
Esc
↑↓navigate↵open⌘Jpreview

One season

GET/seasons/{id}
Authorization
x-api-keyAPI key · headerrequired
Path parameters
idstringrequired

Season id, e.g. "S04"

Responses
200

OK

dataSeasonrequired
Show properties
idstringrequired

e.g. "S04"

numberintegerrequired
min -9007199254740991 · max 9007199254740991
phasestringrequired
Allowed:regular_seasonwildcardquarterfinalssemifinalsconference_finalsfinalrest_dayintersaison
currentMatchdayintegerrequired
min -9007199254740991 · max 9007199254740991
startDatestringrequired

ISO 8601 date-time (UTC)

endDatestring | nullrequired
Show properties
Any of:
string
string
null
null
304

Not modified (If-None-Match matched the ETag)

401

Missing, unknown, revoked, or expired key

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
403

This account cannot use this key class

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
404

Not found (or not public yet)

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
429

Rate limited; retry after the Retry-After seconds

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://hockay.com/api/v1/seasons/string' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "string",
    "number": -9007199254740991,
    "phase": "regular_season",
    "currentMatchday": -9007199254740991,
    "startDate": "string",
    "endDate": "string"
  }
}

Was this page helpful?